<section class="content">
    <div class="container-fluid">
      <div class="block-header">
        <div class="row">
          <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
            <ul class="breadcrumb breadcrumb-style ">
              <li class="breadcrumb-item">
                <h4 class="page-title">Lista de sucursales</h4>
              </li>
              <li class="breadcrumb-item bcrumb-1">
                <a routerLink="/admin/dashboard/main">
                  <i class="fas fa-home"></i> Home</a>
              </li>
              <li class="breadcrumb-item bcrumb-2">
                <a href="#" onClick="return false;">Configuración</a>
              </li>
              <li class="breadcrumb-item active">Listado de sucursales</li>
            </ul>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
          <div class="card">
            <div class="body">
              <div class="table-responsive">
                <div class="materialTableHeader noprint">
                  <div class="row">
                    <div class="col-8">
                      <ul class="header-buttons-left ml-0">
                        <li class="dropdown">
                          <h2>
                            <strong>Sucursal</strong></h2>
                        </li>
                        <li class="dropdown m-l-20">
                          <label for="search-input"><i class="material-icons search-icon">search</i></label>
                          <input placeholder="Buscar" type="text" #filter class="browser-default search-field"
                            aria-label="Search box">
                        </li>
                        <!-- <li>
                          <div class="icon-button-demo m-l-10" [hidden]=!selection.hasValue()>
                            <button mat-mini-fab color="warn" (click)="removeSelectedRows()">
                              <mat-icon class="col-white">delete</mat-icon>
                            </button>
                          </div>
                        </li> -->
                      </ul>
                    </div>
                    <div class="col-4">
                      <ul class="header-buttons" *ngIf="idClinica !== null">
                        <li>
                          <div class="icon-button-demo">
                            <button mat-mini-fab color="primary" routerLink="/admin/room/Listado-Sucursales/Nueva-Sucursal">
                              <mat-icon class="col-white">add</mat-icon>
                            </button>
                          </div>
                        </li>
                        <li>
                          <div class="icon-button-demo">
                            <button mat-mini-fab color="primary" (click)="refrescartablasucursal()">
                              <mat-icon class="col-white">refresh</mat-icon>
                            </button>
                          </div>
                        </li>
                        <li>
                          <div class="icon-button-demo">
                            <button mat-mini-fab color="primary" (click)="exportToExcel()">
                              <mat-icon class="col-white">call_made</mat-icon>
                            </button>
                          </div>
                        </li>
                        <li>
                          <div class="icon-button-demo">
                            <a mat-mini-fab color="primary" href="javascript:window.print('component1')">
                              <mat-icon class="col-white">print</mat-icon>
                            </a>
                          </div>
                        </li>
                      </ul>
                    </div>
                  </div>
                </div>
  
  
                <mat-table #table [dataSource]="datosucursal"  matSort #tbsucursal="matSort" class="mat-cell">
                  <!-- Checkbox Column -->
                  <ng-container matColumnDef="select">
                    <mat-header-cell *matHeaderCellDef [ngClass]="'tbl-col-width-per-6'" sty style="display: none;">
                      <mat-checkbox [ngClass]="'tbl-checkbox'">
                      </mat-checkbox>
                    </mat-header-cell>
                    <mat-cell *matCellDef="let row" [ngClass]="'tbl-col-width-per-6'" style="display: none;">
                      <!-- <mat-checkbox (click)="$event.stopPropagation()" (change)="$event ? selection.toggle(row) : null"
                        [checked]="selection.isSelected(row)" [ngClass]="'tbl-checkbox'">
                      </mat-checkbox> -->
                    </mat-cell>
                  </ng-container>
                  <!-- ID Column -->
                  <ng-container matColumnDef="id">
                    <mat-header-cell *matHeaderCellDef mat-sort-header>Id</mat-header-cell>
                    <mat-cell *matCellDef="let row">{{row.idSucursal}}</mat-cell>
                  </ng-container>
                  <ng-container matColumnDef="img">
                    <mat-header-cell mat-header-cell *matHeaderCellDef [ngClass]="'tbl-col-width-per-5'">Foto
                    </mat-header-cell>
                    <mat-cell mat-cell *matCellDef="let row" class="table-img tbl-col-width-per-5"> <img
                      src="https://animatiomx.com/odonto/imagenes/{{row.Logo}}" />
                    </mat-cell>
                  </ng-container>
                  <ng-container matColumnDef="name">
                    <mat-header-cell *matHeaderCellDef mat-sort-header>Nombre sucursal</mat-header-cell>
                    <mat-cell *matCellDef="let row"> {{row.NombreSucursal}}</mat-cell>
                  </ng-container>
                  <ng-container matColumnDef="direcccion">
                    <mat-header-cell *matHeaderCellDef mat-sort-header>Dirección</mat-header-cell>
                    <mat-cell *matCellDef="let row"> {{row.Direccion}}</mat-cell>
                  </ng-container>
                  <ng-container matColumnDef="whatsapp">
                    <mat-header-cell *matHeaderCellDef mat-sort-header>Whatsapp</mat-header-cell>
                    <mat-cell *matCellDef="let row"> {{row.Whatsapp}}</mat-cell>
                  </ng-container>
                  <ng-container matColumnDef="correo">
                    <mat-header-cell *matHeaderCellDef mat-sort-header>Email</mat-header-cell>
                    <mat-cell *matCellDef="let row"> {{row.Correo}}</mat-cell>
                  </ng-container>
                  <ng-container matColumnDef="actions">
                    <mat-header-cell *matHeaderCellDef class="pr-0">Editar</mat-header-cell>
                    <mat-cell *matCellDef="let row; let i=index;" class="pr-0">
                      <button mat-icon-button color="accent" class="btn-tbl-edit" (click)="$event.stopPropagation()" routerLink="/admin/room/Listado-Sucursales/Editar-Sucursal/{{row.idSucursal}}">
                        <mat-icon aria-label="Edit" class="col-white">edit</mat-icon>
                      </button>
                    </mat-cell>
                  </ng-container>
                  <mat-header-row *matHeaderRowDef="columnasucursales"></mat-header-row>
                  <!-- <mat-row *matRowDef="let row; columns: displayedColumns;"></mat-row> -->
                  <mat-row *matRowDef="let row; columns: columnasucursales;"
                    [style.cursor]="'pointer'" matRipple>
                  </mat-row>
                </mat-table>
                <div class="no-results" [style.display]="datosucursal.renderedData.length == 0 ? '' : 'none'">
                  No hay resultados
                </div>
                <div class="noprint">
                <mat-paginator class="noprint" #paginator [length]="datosucursal.filteredData.length" [pageIndex]="0" [pageSize]="5"
                  [pageSizeOptions]="[5, 10, 25, 100]">
                </mat-paginator>
              </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </section>
  
